<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>TextContainer (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TextContainer (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextContainer.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/TextAlignment.html"
               title="enum in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/UnderlineType.html"
               title="enum in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/text/TextContainer.html" target="_top">Frames</a>
        </li>
        <li><a href="TextContainer.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel.text</div>
    <h2 title="Interface TextContainer" class="title">Interface TextContainer</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                           title="class in org.apache.poi.xddf.usermodel.chart">XDDFChart</a>, <a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartLegend.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartLegend</a>, <a
                            href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFLegendEntry.html"
                            title="class in org.apache.poi.xddf.usermodel.chart">XDDFLegendEntry</a>, <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/XSLFAutoShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFAutoShape</a>, <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/XSLFChart.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFChart</a>, <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/XSLFFreeformShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFFreeformShape</a>, <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTableCell.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTableCell</a>, <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextBox.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextBox</a>, <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextShape</a>, <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFChart</a>, <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFObjectData</a>, <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFSimpleShape</a>, <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/XSSFTextBox.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFTextBox</a>, <a
                            href="../../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFChart</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Beta.html"
                        title="annotation in org.apache.poi.util">@Beta</a>
public interface <span class="typeNameLabel">TextContainer</span></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>&lt;R&gt;&nbsp;java.util.Optional&lt;R&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html#findDefinedParagraphProperty-java.util.function.Function-java.util.function.Function-">findDefinedParagraphProperty</a></span>(java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,java.lang.Boolean&gt;&nbsp;isSet,
                                    java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,R&gt;&nbsp;getter)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>&lt;R&gt;&nbsp;java.util.Optional&lt;R&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html#findDefinedRunProperty-java.util.function.Function-java.util.function.Function-">findDefinedRunProperty</a></span>(java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,java.lang.Boolean&gt;&nbsp;isSet,
                                    java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,R&gt;&nbsp;getter)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="findDefinedParagraphProperty-java.util.function.Function-java.util.function.Function-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findDefinedParagraphProperty</h4>
                                <pre>&lt;R&gt;&nbsp;java.util.Optional&lt;R&gt;&nbsp;findDefinedParagraphProperty(java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,java.lang.Boolean&gt;&nbsp;isSet,
                                                       java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties,R&gt;&nbsp;getter)</pre>
                            </li>
                        </ul>
                        <a name="findDefinedRunProperty-java.util.function.Function-java.util.function.Function-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>findDefinedRunProperty</h4>
                                <pre>&lt;R&gt;&nbsp;java.util.Optional&lt;R&gt;&nbsp;findDefinedRunProperty(java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,java.lang.Boolean&gt;&nbsp;isSet,
                                                 java.util.function.Function&lt;org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties,R&gt;&nbsp;getter)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextContainer.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/TextAlignment.html"
               title="enum in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/text/UnderlineType.html"
               title="enum in org.apache.poi.xddf.usermodel.text"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/text/TextContainer.html" target="_top">Frames</a>
        </li>
        <li><a href="TextContainer.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
